Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.skype.api
Enum Skype.LeaveReason

    java.lang.Object
      java.lang.Enum<Skype.LeaveReason>
          com.skype.api.Skype.LeaveReason

All Implemented Interfaces:
  EnumConverting, java.io.Serializable, java.lang.Comparable<Skype.LeaveReason>

Enclosing class:
  Skype

    public static enum Skype.LeaveReason

extends java.lang.Enum<Skype.LeaveReason>
implements EnumConverting

Enum Constant Summary
`LEAVE_REASON_NONE`
`LIVE_BLOCKED_BY_PRIVACY_SETTINGS`
`LIVE_BLOCKED_BY_US`
`LIVE_BUSY`
`LIVE_CONNECTION_DROPPED`
`LIVE_EMERGENCY_CALL_DENIED`
`LIVE_ERROR` live: Fallback error
`LIVE_INSUFFICIENT_FUNDS`
`LIVE_INTERNAL_ERROR`
`LIVE_INTERNET_CONNECTION_LOST`
`LIVE_LEGACY_ERROR`
`LIVE_MANUAL` live: User hung up
`LIVE_NO_ANSWER`
`LIVE_NO_SKYPEOUT_SUBSCRIPTION`
`LIVE_NUMBER_UNAVAILABLE`
`LIVE_PLAYBACK_ERROR` live: Voicemail playback failed
`LIVE_PSTN_BUSY`
`LIVE_PSTN_CALL_REJECTED`
`LIVE_PSTN_CALL_TERMINATED`
`LIVE_PSTN_CALL_TIMED_OUT`
`LIVE_PSTN_COULD_NOT_CONNECT_TO_SKYPE_PROXY`
`LIVE_PSTN_INVALID_NUMBER`
`LIVE_PSTN_MISC_ERROR`
`LIVE_PSTN_NETWORK_ERROR`
`LIVE_PSTN_NUMBER_FORBIDDEN`
`LIVE_RECORDING_FAILED` live: Voicemail recording failed
`LIVE_SKYPEOUT_ACCOUNT_BLOCKED`
`LIVE_TRANSFER_FAILED`
`LIVE_TRANSFER_INSUFFICIENT_FUNDS`
`LIVE_UNABLE_TO_CONNECT`
`RETIRED_ADDER_MUST_BE_AUTHORIZED` automatic
`RETIRED_ADDER_MUST_BE_FRIEND` automatic
`RETIRED_DECLINE_ADD` manual reason (afaik no UI uses this)
`RETIRED_UNSUBSCRIBE` manual reason
`RETIRED_USER_INCAPABLE` automatic, user cannot chat (only some older versions might set this)

Field Summary
`static int` | `LEAVE_REASON_NONE_VALUE`
`static int` | `LIVE_BLOCKED_BY_PRIVACY_SETTINGS_VALUE`
`static int` | `LIVE_BLOCKED_BY_US_VALUE`
`static int` | `LIVE_BUSY_VALUE`
`static int` | `LIVE_CONNECTION_DROPPED_VALUE`
`static int` | `LIVE_EMERGENCY_CALL_DENIED_VALUE`
`static int` | `LIVE_ERROR_VALUE`
`static int` | `LIVE_INSUFFICIENT_FUNDS_VALUE`
`static int` | `LIVE_INTERNAL_ERROR_VALUE`
`static int` | `LIVE_INTERNET_CONNECTION_LOST_VALUE`
`static int` | `LIVE_LEGACY_ERROR_VALUE`
`static int` | `LIVE_MANUAL_VALUE`
`static int` | `LIVE_NO_ANSWER_VALUE`
`static int` | `LIVE_NO_SKYPEOUT_SUBSCRIPTION_VALUE`
`static int` | `LIVE_NUMBER_UNAVAILABLE_VALUE`
`static int` | `LIVE_PLAYBACK_ERROR_VALUE`
`static int` | `LIVE_PSTN_BUSY_VALUE`
`static int` | `LIVE_PSTN_CALL_REJECTED_VALUE`
`static int` | `LIVE_PSTN_CALL_TERMINATED_VALUE`
`static int` | `LIVE_PSTN_CALL_TIMED_OUT_VALUE`
`static int` | `LIVE_PSTN_COULD_NOT_CONNECT_TO_SKYPE_PROXY_VALUE`
`static int` | `LIVE_PSTN_INVALID_NUMBER_VALUE`
`static int` | `LIVE_PSTN_MISC_ERROR_VALUE`
`static int` | `LIVE_PSTN_NETWORK_ERROR_VALUE`
`static int` | `LIVE_PSTN_NUMBER_FORBIDDEN_VALUE`
`static int` | `LIVE_RECORDING_FAILED_VALUE`
`static int` | `LIVE_SKYPEOUT_ACCOUNT_BLOCKED_VALUE`
`static int` | `LIVE_TRANSFER_FAILED_VALUE`
`static int` | `LIVE_TRANSFER_INSUFFICIENT_FUNDS_VALUE`
`static int` | `LIVE_UNABLE_TO_CONNECT_VALUE`
`static int` | `RETIRED_ADDER_MUST_BE_AUTHORIZED_VALUE`
`static int` | `RETIRED_ADDER_MUST_BE_FRIEND_VALUE`
`static int` | `RETIRED_DECLINE_ADD_VALUE`
`static int` | `RETIRED_UNSUBSCRIBE_VALUE`
`static int` | `RETIRED_USER_INCAPABLE_VALUE`

Method Summary
`EnumConverting` | `convert(int from)`
`static Skype.LeaveReason` | `get(int from)`
`EnumConverting[]` | `getArray(int size)`
`EnumConverting` | `getDefault()`
`int` | `getId()`
`static Skype.LeaveReason` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Skype.LeaveReason[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### LEAVE_REASON_NONE

    public static final Skype.LeaveReason LEAVE_REASON_NONE

### RETIRED_USER_INCAPABLE

    public static final Skype.LeaveReason RETIRED_USER_INCAPABLE

  automatic, user cannot chat (only some older versions might set this)

### RETIRED_ADDER_MUST_BE_FRIEND

    public static final Skype.LeaveReason RETIRED_ADDER_MUST_BE_FRIEND

  automatic

### RETIRED_ADDER_MUST_BE_AUTHORIZED

    public static final Skype.LeaveReason RETIRED_ADDER_MUST_BE_AUTHORIZED

  automatic

### RETIRED_DECLINE_ADD

    public static final Skype.LeaveReason RETIRED_DECLINE_ADD

  manual reason (afaik no UI uses this)

### RETIRED_UNSUBSCRIBE

    public static final Skype.LeaveReason RETIRED_UNSUBSCRIBE

  manual reason

### LIVE_NO_ANSWER

    public static final Skype.LeaveReason LIVE_NO_ANSWER

### LIVE_MANUAL

    public static final Skype.LeaveReason LIVE_MANUAL

  live: User hung up

### LIVE_BUSY

    public static final Skype.LeaveReason LIVE_BUSY

### LIVE_CONNECTION_DROPPED

    public static final Skype.LeaveReason LIVE_CONNECTION_DROPPED

### LIVE_NO_SKYPEOUT_SUBSCRIPTION

    public static final Skype.LeaveReason LIVE_NO_SKYPEOUT_SUBSCRIPTION

### LIVE_INSUFFICIENT_FUNDS

    public static final Skype.LeaveReason LIVE_INSUFFICIENT_FUNDS

### LIVE_INTERNET_CONNECTION_LOST

    public static final Skype.LeaveReason LIVE_INTERNET_CONNECTION_LOST

### LIVE_SKYPEOUT_ACCOUNT_BLOCKED

    public static final Skype.LeaveReason LIVE_SKYPEOUT_ACCOUNT_BLOCKED

### LIVE_PSTN_COULD_NOT_CONNECT_TO_SKYPE_PROXY

    public static final Skype.LeaveReason LIVE_PSTN_COULD_NOT_CONNECT_TO_SKYPE_PROXY

### LIVE_PSTN_INVALID_NUMBER

    public static final Skype.LeaveReason LIVE_PSTN_INVALID_NUMBER

### LIVE_PSTN_NUMBER_FORBIDDEN

    public static final Skype.LeaveReason LIVE_PSTN_NUMBER_FORBIDDEN

### LIVE_PSTN_CALL_TIMED_OUT

    public static final Skype.LeaveReason LIVE_PSTN_CALL_TIMED_OUT

### LIVE_PSTN_BUSY

    public static final Skype.LeaveReason LIVE_PSTN_BUSY

### LIVE_PSTN_CALL_TERMINATED

    public static final Skype.LeaveReason LIVE_PSTN_CALL_TERMINATED

### LIVE_PSTN_NETWORK_ERROR

    public static final Skype.LeaveReason LIVE_PSTN_NETWORK_ERROR

### LIVE_NUMBER_UNAVAILABLE

    public static final Skype.LeaveReason LIVE_NUMBER_UNAVAILABLE

### LIVE_PSTN_CALL_REJECTED

    public static final Skype.LeaveReason LIVE_PSTN_CALL_REJECTED

### LIVE_PSTN_MISC_ERROR

    public static final Skype.LeaveReason LIVE_PSTN_MISC_ERROR

### LIVE_INTERNAL_ERROR

    public static final Skype.LeaveReason LIVE_INTERNAL_ERROR

### LIVE_UNABLE_TO_CONNECT

    public static final Skype.LeaveReason LIVE_UNABLE_TO_CONNECT

### LIVE_RECORDING_FAILED

    public static final Skype.LeaveReason LIVE_RECORDING_FAILED

  live: Voicemail recording failed

### LIVE_PLAYBACK_ERROR

    public static final Skype.LeaveReason LIVE_PLAYBACK_ERROR

  live: Voicemail playback failed

### LIVE_LEGACY_ERROR

    public static final Skype.LeaveReason LIVE_LEGACY_ERROR

### LIVE_BLOCKED_BY_PRIVACY_SETTINGS

    public static final Skype.LeaveReason LIVE_BLOCKED_BY_PRIVACY_SETTINGS

### LIVE_ERROR

    public static final Skype.LeaveReason LIVE_ERROR

  live: Fallback error

### LIVE_TRANSFER_FAILED

    public static final Skype.LeaveReason LIVE_TRANSFER_FAILED

### LIVE_TRANSFER_INSUFFICIENT_FUNDS

    public static final Skype.LeaveReason LIVE_TRANSFER_INSUFFICIENT_FUNDS

### LIVE_BLOCKED_BY_US

    public static final Skype.LeaveReason LIVE_BLOCKED_BY_US

### LIVE_EMERGENCY_CALL_DENIED

    public static final Skype.LeaveReason LIVE_EMERGENCY_CALL_DENIED

Field Detail

### LEAVE_REASON_NONE_VALUE

    public static final int LEAVE_REASON_NONE_VALUE

See Also:
  Constant Field Values

### RETIRED_USER_INCAPABLE_VALUE

    public static final int RETIRED_USER_INCAPABLE_VALUE

See Also:
  Constant Field Values

### RETIRED_ADDER_MUST_BE_FRIEND_VALUE

    public static final int RETIRED_ADDER_MUST_BE_FRIEND_VALUE

See Also:
  Constant Field Values

### RETIRED_ADDER_MUST_BE_AUTHORIZED_VALUE

    public static final int RETIRED_ADDER_MUST_BE_AUTHORIZED_VALUE

See Also:
  Constant Field Values

### RETIRED_DECLINE_ADD_VALUE

    public static final int RETIRED_DECLINE_ADD_VALUE

See Also:
  Constant Field Values

### RETIRED_UNSUBSCRIBE_VALUE

    public static final int RETIRED_UNSUBSCRIBE_VALUE

See Also:
  Constant Field Values

### LIVE_NO_ANSWER_VALUE

    public static final int LIVE_NO_ANSWER_VALUE

See Also:
  Constant Field Values

### LIVE_MANUAL_VALUE

    public static final int LIVE_MANUAL_VALUE

See Also:
  Constant Field Values

### LIVE_BUSY_VALUE

    public static final int LIVE_BUSY_VALUE

See Also:
  Constant Field Values

### LIVE_CONNECTION_DROPPED_VALUE

    public static final int LIVE_CONNECTION_DROPPED_VALUE

See Also:
  Constant Field Values

### LIVE_NO_SKYPEOUT_SUBSCRIPTION_VALUE

    public static final int LIVE_NO_SKYPEOUT_SUBSCRIPTION_VALUE

See Also:
  Constant Field Values

### LIVE_INSUFFICIENT_FUNDS_VALUE

    public static final int LIVE_INSUFFICIENT_FUNDS_VALUE

See Also:
  Constant Field Values

### LIVE_INTERNET_CONNECTION_LOST_VALUE

    public static final int LIVE_INTERNET_CONNECTION_LOST_VALUE

See Also:
  Constant Field Values

### LIVE_SKYPEOUT_ACCOUNT_BLOCKED_VALUE

    public static final int LIVE_SKYPEOUT_ACCOUNT_BLOCKED_VALUE

See Also:
  Constant Field Values

### LIVE_PSTN_COULD_NOT_CONNECT_TO_SKYPE_PROXY_VALUE

    public static final int LIVE_PSTN_COULD_NOT_CONNECT_TO_SKYPE_PROXY_VALUE

See Also:
  Constant Field Values

### LIVE_PSTN_INVALID_NUMBER_VALUE

    public static final int LIVE_PSTN_INVALID_NUMBER_VALUE

See Also:
  Constant Field Values

### LIVE_PSTN_NUMBER_FORBIDDEN_VALUE

    public static final int LIVE_PSTN_NUMBER_FORBIDDEN_VALUE

See Also:
  Constant Field Values

### LIVE_PSTN_CALL_TIMED_OUT_VALUE

    public static final int LIVE_PSTN_CALL_TIMED_OUT_VALUE

See Also:
  Constant Field Values

### LIVE_PSTN_BUSY_VALUE

    public static final int LIVE_PSTN_BUSY_VALUE

See Also:
  Constant Field Values

### LIVE_PSTN_CALL_TERMINATED_VALUE

    public static final int LIVE_PSTN_CALL_TERMINATED_VALUE

See Also:
  Constant Field Values

### LIVE_PSTN_NETWORK_ERROR_VALUE

    public static final int LIVE_PSTN_NETWORK_ERROR_VALUE

See Also:
  Constant Field Values

### LIVE_NUMBER_UNAVAILABLE_VALUE

    public static final int LIVE_NUMBER_UNAVAILABLE_VALUE

See Also:
  Constant Field Values

### LIVE_PSTN_CALL_REJECTED_VALUE

    public static final int LIVE_PSTN_CALL_REJECTED_VALUE

See Also:
  Constant Field Values

### LIVE_PSTN_MISC_ERROR_VALUE

    public static final int LIVE_PSTN_MISC_ERROR_VALUE

See Also:
  Constant Field Values

### LIVE_INTERNAL_ERROR_VALUE

    public static final int LIVE_INTERNAL_ERROR_VALUE

See Also:
  Constant Field Values

### LIVE_UNABLE_TO_CONNECT_VALUE

    public static final int LIVE_UNABLE_TO_CONNECT_VALUE

See Also:
  Constant Field Values

### LIVE_RECORDING_FAILED_VALUE

    public static final int LIVE_RECORDING_FAILED_VALUE

See Also:
  Constant Field Values

### LIVE_PLAYBACK_ERROR_VALUE

    public static final int LIVE_PLAYBACK_ERROR_VALUE

See Also:
  Constant Field Values

### LIVE_LEGACY_ERROR_VALUE

    public static final int LIVE_LEGACY_ERROR_VALUE

See Also:
  Constant Field Values

### LIVE_BLOCKED_BY_PRIVACY_SETTINGS_VALUE

    public static final int LIVE_BLOCKED_BY_PRIVACY_SETTINGS_VALUE

See Also:
  Constant Field Values

### LIVE_ERROR_VALUE

    public static final int LIVE_ERROR_VALUE

See Also:
  Constant Field Values

### LIVE_TRANSFER_FAILED_VALUE

    public static final int LIVE_TRANSFER_FAILED_VALUE

See Also:
  Constant Field Values

### LIVE_TRANSFER_INSUFFICIENT_FUNDS_VALUE

    public static final int LIVE_TRANSFER_INSUFFICIENT_FUNDS_VALUE

See Also:
  Constant Field Values

### LIVE_BLOCKED_BY_US_VALUE

    public static final int LIVE_BLOCKED_BY_US_VALUE

See Also:
  Constant Field Values

### LIVE_EMERGENCY_CALL_DENIED_VALUE

    public static final int LIVE_EMERGENCY_CALL_DENIED_VALUE

See Also:
  Constant Field Values

Method Detail

### values

    public static Skype.LeaveReason[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Skype.LeaveReason c : Skype.LeaveReason.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Skype.LeaveReason valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getId

    public int getId()

  Specified by:
    `getId` in interface `EnumConverting`

### getDefault

    public EnumConverting getDefault()

  Specified by:
    `getDefault` in interface `EnumConverting`

### convert

    public EnumConverting convert(int from)

  Specified by:
    `convert` in interface `EnumConverting`

### getArray

    public EnumConverting[] getArray(int size)

  Specified by:
    `getArray` in interface `EnumConverting`

### get

    public static Skype.LeaveReason get(int from)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010, 2011 Skype Technologies. All Rights Reserved.